.\" $NetBSD: umass.4,v 1.23 2005/06/26 09:22:52 jmmv Exp $
.\"
.\" Copyright (c) 1999, 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 26, 2005
.Dt UMASS 4
.Os
.Sh NAME
.Nm umass
.Nd USB mass storage support
.Sh SYNOPSIS
.Cd "umass*     at uhub?"
.Cd "atapibus*  at umass?"
.Cd "scsibus*   at umass? channel ?"
.Cd "wd*        at umass?"
.Sh DESCRIPTION
The
.Nm
driver provides support for USB mass storage class devices.
The driver supports subclasses SCSI, 8020i (ATAPI), 8070i (ATAPI), QIC157 (ATAPI), RBC (subset of SCSI), and UFI (USB Floppy).
The driver handles the protocols Bulk-Only, CBI, and CBI-with-CCI.
.Sh HARDWARE
Devices known to work with this driver include:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn Creative Tech NOMAD MuVo TX
.It Tn FujiFilm FinePix1300 Digital Camera
.It Tn Imation SuperDisk
.It Tn IOmega Zip 100
.It Tn IOmega Zip 250
.It Tn Kingston DataTraveler 2.0
.It Tn LaCie CD R/W
.It Tn Lexar Media JumpDrive Flash Disks
.It Tn Neodio Multi-format Flash Controller
.It Tn Olympus C-5050 ZOOM Digital Camera
.It Tn SanDisk ImageMate SDDR-31
.It Tn Siemens MP3-Player USB
.It Tn Sony DSC Digital Cameras
.It Tn STMicroelectronics ST92163 Mass Storage library Tester
.It Tn Y-E Data FlashBuster floppy
.El
.Pp
The driver also supports certain adapters from In-System Design that use
the (non-standardized) ATA protocol over Bulk-Only.
.Sh SEE ALSO
.Xr atapi 4 ,
.Xr scsi 4 ,
.Xr usb 4 ,
.Xr wd 4
.Sh HISTORY
The
.Nm
driver is a port of the
.Fx
driver.  The
.Nm
driver
appeared in
.Nx 1.5 .
